#include "partition.h"
#include <bits/stdc++.h>
using namespace std;
typedef vector<int> vi;
vi solve(vi A) {
    sort(A.begin(),A.end());
    vi B(A.size());
    for(int i = 0;i < A.size()/2;i++) B[i] = A[2*i];
    for(int i = 0;i < A.size()/2;i++) B[i+A.size()/2] = A[2*i+1];
    return B;
}
